---
title: "Operadores aritméticos"
---

Processing cuenta con los siguientes operadores aritméticos para operaciones entre dos operandos numéricos:

* suma: `+`
* resta: `-`
* multiplicación: `*`
* división: `/`
* módulo (residuo de la división): `%`

[[Operador módulo]](/notas/modulo.html)

Los operandos numéricos pueden ser números escritos explícitamente, o variables numéricas.

Por ejemplo, todas las siguientes son operaciones válidas:

```java
int a = 2;
int b = 5;

int x = 1 + 2; // suma dos números
int y = a + 2; // suma variable y número
int z = a + b; // suma variables
```

También están los siguientes operadores para modificar el valor de una variable. Suponieno que la variable se llama `a`:

* incrementa 1: `a++`
* decrementa 1: `a--`
* incrementa una cantidad 'b': `a += b`
* decrementa una cantidad 'b': `a -= b`

[[Variables: Contadores, Acumuladores, Banderas]](/notas/variables.html)
