---
title: "Patrones con líneas"
---

Ejercitaremos nuestras habilidades para dibujar con líneas en Processing, a la vez que nos acercamos al *pensamiento abstracto* que conviene desarrollar para aprovechar al máximo las posibilidades de la programación.

# Dibujos

Los siguientes son dibujos realizados con líneas. Todos incluyen algún aspecto repetitivo, y algunos son más complejos que otros:

![](/img/c2-patrones-lineas.png)

# Instrucciones

Elige uno de los dibujos, y realiza y responde las siguientes indicaciones:

* Realiza un **sketch** a mano indicando los puntos clave del dibujo, incluyendo sus coordenadas.
* Responde: 
	* ¿Qué **diferencía** a una línea de otra? 
	* ¿Existe algo que se **repita**? ¿Existe algo que se mantenga **constante**?
	* ¿Cómo describirías el **patrón** que existe?
* Escribe un **programa en Processing** que replique el dibujo
	* *Opcional*: Utiliza las variables `width` y `height` para generalizarlo
* Guarda la **imagen** que resulte de ejecutar tu programa
* Responde: ¿Qué tendrías que cambiar de tus instrucciones si quisieras... 
	* que tu dibujo tuviera el **doble de líneas** en el mismo espacio? 
	* que tu dibujo se viera igual pero ocupara el **doble de espacio**?

# Entrega

Sube tus respuestas en el foro correspondiente en Brightspace.

# Notas

[[Dibujo con puntos y líneas]](/notas/lineas.html)

[Tutorial: Patrones con líneas](/tutoriales/c2-patrones-lineas.html)
